添加gmp扩展,编译报错

checking for bind_textdomain_codeset in -lc… yes checking for GNU MP support… yes configure: error: Unable to locate gmp.h

解决方案:

yum install -y gmp-devel

cd /usr/local/src/php-5.6.31/ext/gmp/

/srv/php-5.6.31/bin/phpize

./configure –with-php-config=/srv/php-5.6.31/bin/php-config –with-gmp

make

make install